Skip to content
Start here

Update the current settings for the active account

client.networkInterconnects.settings.update(SettingUpdateParams { account_id, default_asn } params, RequestOptionsoptions?): SettingUpdateResponse { default_asn }
PUT/accounts/{account_id}/cni/settings

Update the current settings for the active account

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic Transit Write
ParametersExpand Collapse
params: SettingUpdateParams { account_id, default_asn }
account_id: string

Path param: Account tag to update settings for

default_asn?: number | null

Body param

formatint32
minimum0
ReturnsExpand Collapse
SettingUpdateResponse { default_asn }
default_asn: number
formatint32
minimum0

Update the current settings for the active account

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const setting = await client.networkInterconnects.settings.update({ account_id: 'account_id' });

console.log(setting.default_asn);
{
  "default_asn": 0
}
Returns Examples
{
  "default_asn": 0
}